> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Offer

> Update hub offer



## OpenAPI

````yaml PATCH /v1alpha1/offers/{id}
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1alpha1/offers/{id}:
    patch:
      summary: UpdateOffer
      description: Update hub offer
      operationId: OfferService_UpdateOffer
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type:
                    - string
                    - 'null'
                  title: title
                description:
                  type:
                    - string
                    - 'null'
                  title: description
                image:
                  type:
                    - string
                    - 'null'
                  title: image
                  pattern: ^(https?://|data:)
                category:
                  type:
                    - string
                    - 'null'
                  title: category
                label:
                  type:
                    - string
                    - 'null'
                  title: label
                status:
                  type:
                    - string
                    - 'null'
                  title: status
                  enum:
                    - inactive
                    - active
                items:
                  type: array
                  items:
                    $ref: '#/components/schemas/hub.v1alpha1.OfferItem'
                  title: items
                  minItems: 1
                price:
                  exclusiveMinimum: 0
                  type:
                    - integer
                    - 'null'
                  title: price
                  format: int32
                currency:
                  type:
                    - string
                    - 'null'
                  title: currency
                  enum:
                    - USD
                    - GBP
                    - EUR
                stock:
                  exclusiveMinimum: 0
                  type:
                    - integer
                    - 'null'
                  title: stock
                  format: int32
                country:
                  type:
                    - string
                    - 'null'
                  title: country
                  maxLength: 2
                  minLength: 2
                  pattern: ^[A-Z]{2}$
                  description: 'ISO 3166-1 alpha-2: "US", "GB", "DE"'
                return_url:
                  type:
                    - string
                    - 'null'
                  title: return_url
                  format: uri
                wallet_enabled:
                  type:
                    - boolean
                    - 'null'
                  title: wallet_enabled
              title: UpdateOfferRequest
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/hub.v1alpha1.UpdateOfferResponse'
components:
  schemas:
    hub.v1alpha1.OfferItem:
      type: object
      properties:
        id:
          type: string
          title: id
        icon:
          type: string
          title: icon
          pattern: ^(https?://|data:)
        amount:
          exclusiveMinimum: 0
          type: integer
          title: amount
          format: int32
      title: OfferItem
      required:
        - id
        - icon
        - amount
      additionalProperties: false
    hub.v1alpha1.UpdateOfferResponse:
      type: object
      title: UpdateOfferResponse
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````